import {
  getRequest,
  putRequest,
  deleteRequest,
  postRequest
} from '@/libs/axios';
//  验证码源文件删除
export const delVerification = (id) => {
  return deleteRequest(`/other/verificationSource/${id}`)
}

//  添加验证码源文件
export const addVerification = (params) => {
  return postRequest(`/other/verificationSource`, params)
}

//  修改验证码源文件
export const editVerification = (id, params) => {
  return putRequest(`/other/verificationSource/${id}`, params)
}

// 验证码源文件详情
export const verificationDetail = (id) => {
  return getRequest(`/other/verificationSource/${id}`)
}

// 验证码源文件列表
export const verificationPage = (params) => {
  return getRequest(`/other/verificationSource`, params)
}